Subject: Re: bug#9132: 24.0.50; bootstrap failure on windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Jul 2011 20:13:00 +0300

> From: Sam Steingold <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 21 Jul 2011 10:46:24 -0400
> 
> >> Unhandled exception at 0x05a74ac3 in emacs.exe: 0xC0000096: Privileged instruction.
> >
> > Can you install DrMinGW, or run this command under GDB, and show the
> > traceback?
> 
> emacs.exe caused a Privileged Instruction at location 05a74ac3.
> 
> Registers:
> eax=05aba00c ebx=059b4f20 ecx=059b4f50 edx=0001811e esi=059b4f21 edi=059b4f50
> eip=05a74ac3 esp=0082ae6c ebp=0082aee8 iopl=0         nv up ei pl nz ac pe nc
> cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00010212
> 
> Call stack:
> 05A74AC3
> 01034D12  emacs.exe:01034D12  secure_hash  fns.c:4790

Line 4790 of fns.c from today's bzr is an empty line.  What do you see
on that line?

Since you compiled without debug info, I don't really trust this
backtrace.  Can you try building without optimizations?  You will need
to re-run configure.bat with the "--no-opt" switch.  While at that,
add the "--enable-checking" switch as well, perhaps it will be able to
catch the problem earlier.